Summary:	Contacts manager for GNOME
Name:		gnome-contacts
Version:	3.14.2
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-contacts/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	d9e44abe439624c8defc0029c6562803
URL:		https://wiki.gnome.org/Apps/Contacts
BuildRequires:	autoconf >= 2.67
BuildRequires:	automake >= 1.12
BuildRequires:	cheese-devel >= 3.4.0
BuildRequires:	evolution-data-server-devel >= 3.6.0
BuildRequires:	folks-devel >= 0.9.5
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgee-devel >= 0.10.0
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.17.5
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.38.0
Requires:	evolution-data-server >= 3.6.0
Requires:	gtk+3 >= 3.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-contacts is a standalone contacts manager for GNOME desktop.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4 -I libgd
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/gnome-contacts-search-provider
%{_datadir}/appdata/org.gnome.Contacts.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Contacts.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.enums.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Contacts.search-provider.ini
%{_datadir}/dbus-1/services/org.gnome.Contacts.service
%{_desktopdir}/org.gnome.Contacts.desktop
%changelog
* Mon Dec 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-contacts.git;a=log;h=master

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 346472b
- updated to 3.14.2

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 184e8f8
- Update to 3.14.0

* Sun Mar 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 50c5085
- Update to 3.12.0

* Sat Oct 19 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 04e8a39
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 01ea227
- Update to 3.10

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 68abfb1
- Update to 3.8.3

* Sun Jun 09 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8c7f33d
- updated to 3.8.2

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> f90bc9f
- updated to 3.8.1

* Thu Mar 28 2013 Artur Frysiak <artur@frysiak.net> b951c63
- Updated to 3.8.0

* Sun Nov 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> a79cc70
- updated to 3.6.2

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> b2de461
- updated to 3.6.1

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 715a884
- Release 3

* Tue Oct 02 2012 Artur Frysiak <artur@frysiak.net> 56e1c1d
- rel. 2

* Mon Oct 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> b6d871a
- updated to 3.6.0

* Tue May 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 25394f8
- updated to 3.4.1

* Wed Mar 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> e456133
- updated to 3.4.0; merged from DEVEL

* Thu Oct 20 2011 Artur Frysiak <artur@frysiak.net> 47d21ca
- up to 3.2.2

* Fri Sep 30 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 80a89b4
- updated to 3.2.0.1

* Tue Sep 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 28bd57e
- added BR/R evolution-data-server

* Tue Sep 20 2011 Artur Frysiak <artur@frysiak.net> 360e916
- up to 0.1.5.2

